gdcm::network::AbstractSyntax Class Reference

AbstractSyntax. More...

`#include <gdcmAbstractSyntax.h>`

## Public Member Functions

| AbstractSyntax ()
DataElement | GetAsDataElement () const
const char * | GetName () const
bool | operator== (const AbstractSyntax &as) const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetName (const char *name)
void | SetNameFromUID (UIDs::TSName tsname)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

AbstractSyntax.

Table 9-14 ABSTRACT SYNTAX SUB-ITEM FIELDS

## Constructor & Destructor Documentation

## AbstractSyntax()

gdcm::network::AbstractSyntax::AbstractSyntax | ( |  | ) |

Referenced by operator==().

## Member Function Documentation

## GetAsDataElement()

DataElement gdcm::network::AbstractSyntax::GetAsDataElement | ( |  | ) | const

## GetName()

const char * gdcm::network::AbstractSyntax::GetName | ( |  | ) | const

inline

## operator==()

bool gdcm::network::AbstractSyntax::operator== | ( | const AbstractSyntax & | as | ) | const

inline

References AbstractSyntax().

## Print()

void gdcm::network::AbstractSyntax::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::AbstractSyntax::Read | ( | std::istream & | is | ) |

## SetName()

void gdcm::network::AbstractSyntax::SetName | ( | const char * | name | ) |

inline

## SetNameFromUID()

void gdcm::network::AbstractSyntax::SetNameFromUID | ( | UIDs::TSName | tsname | ) |

## Size()

size_t gdcm::network::AbstractSyntax::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::AbstractSyntax::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmAbstractSyntax.h